function init(hero) {
    hero.setName("Thanos/\u00A7c\u00A7lCARDBOARD CONSUMER\u00A7r");
    hero.setTier(9);
    
    hero.setHelmet("Head");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("cchp:titan_physiology", "cchp:powerstone", "cchp:spacestone", "cchp:realitystone", "cchp:soulstone", "cchp:timestone", "cchp:mindstone");
    hero.addAttribute("FALL_RESISTANCE", 12, 0);
    hero.addAttribute("JUMP_HEIGHT", 2, 0);
    hero.addAttribute("PUNCH_DAMAGE", 9.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);

    hero.addKeyBind("ENERGY_PROJECTION", "Power Stone Beam", 1);
    hero.addKeyBind("TELEPORT", "Space Stone Portal", 2);
    hero.addKeyBind("SLOW_MOTION", "Slow Time", 3);
    hero.addKeyBind("CHARGED_BEAM", "Mind Stone Beam", 4);
    hero.addKeyBind("TELEKINESIS", "key.telekinesis", 5);


    hero.setDefaultScale(1.25);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setHasProperty(hasProperty);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:arrow_catching" && modifier.name() != "fiskheroes:energy_projection" && modifier.name() != "fiskheroes:teleportation" || !entity.getData("fiskheroes:telekinesis");
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind != "ENERGY_PROJECTION" && keyBind != "TELEPORT" || !entity.getData("fiskheroes:telekinesis");
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
